curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
},
"name": "Acme Corp (Updated)",
"phone": "+1 555-0200",
"website": "https://www.acmecorp.com"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890"
payload = {
"metadata": {
"source": "SALESFORCE"
},
"name": "Acme Corp (Updated)",
"phone": "+1 555-0200",
"website": "https://www.acmecorp.com"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
},
name: 'Acme Corp (Updated)',
phone: '+1 555-0200',
website: 'https://www.acmecorp.com'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 25855,
"name": "Acme Corp (Updated)",
"business_name": "Acme Corporation LLC",
"email_contact": "contact@acme.com",
"name_contact": "Jane",
"last_name_contact": "Smith",
"phone": "+1 555-0200",
"website": "https://www.acmecorp.com",
"description": "Enterprise software solutions provider",
"company_id": 1234,
"created_at": "2025-01-10T14:30:00Z",
"updated_at": "2025-01-15T10:00:00Z"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"error": "ClientNotFoundError",
"message": "Client with external ID 'SF-ACC-67890' not found for source SALESFORCE",
"code": "ZC004"
}
Clients
Update Client
Updates an existing client in your COR instance using its external ID
PUT
/
v2
/
integrations
/
clients
/
{id}
curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
},
"name": "Acme Corp (Updated)",
"phone": "+1 555-0200",
"website": "https://www.acmecorp.com"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890"
payload = {
"metadata": {
"source": "SALESFORCE"
},
"name": "Acme Corp (Updated)",
"phone": "+1 555-0200",
"website": "https://www.acmecorp.com"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
},
name: 'Acme Corp (Updated)',
phone: '+1 555-0200',
website: 'https://www.acmecorp.com'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 25855,
"name": "Acme Corp (Updated)",
"business_name": "Acme Corporation LLC",
"email_contact": "contact@acme.com",
"name_contact": "Jane",
"last_name_contact": "Smith",
"phone": "+1 555-0200",
"website": "https://www.acmecorp.com",
"description": "Enterprise software solutions provider",
"company_id": 1234,
"created_at": "2025-01-10T14:30:00Z",
"updated_at": "2025-01-15T10:00:00Z"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"error": "ClientNotFoundError",
"message": "Client with external ID 'SF-ACC-67890' not found for source SALESFORCE",
"code": "ZC004"
}
Updates an existing client in your COR instance using its external ID. Only the fields provided in the request body will be updated.
Path Parameters
string
required
External client ID that was used when creating the client
Request Body Requirements
object
required
Show properties
Show properties
string
required
Integration source identifier. Must match the source used when creating the client.
string
Updated client name
string
Updated legal business name
string
Updated contact email
string
Updated contact first name
string
Updated contact last name
string
Updated phone number
string
Updated website URL
string
Updated description
Known Errors
ZC001— Entity is not associated (client with the specified external ID not found)ClientNotFoundError— No client found with the specified external ID for this sourceValidationError— Missing requiredmetadata.sourcefield
curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
},
"name": "Acme Corp (Updated)",
"phone": "+1 555-0200",
"website": "https://www.acmecorp.com"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890"
payload = {
"metadata": {
"source": "SALESFORCE"
},
"name": "Acme Corp (Updated)",
"phone": "+1 555-0200",
"website": "https://www.acmecorp.com"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/clients/SF-ACC-67890',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
},
name: 'Acme Corp (Updated)',
phone: '+1 555-0200',
website: 'https://www.acmecorp.com'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 25855,
"name": "Acme Corp (Updated)",
"business_name": "Acme Corporation LLC",
"email_contact": "contact@acme.com",
"name_contact": "Jane",
"last_name_contact": "Smith",
"phone": "+1 555-0200",
"website": "https://www.acmecorp.com",
"description": "Enterprise software solutions provider",
"company_id": 1234,
"created_at": "2025-01-10T14:30:00Z",
"updated_at": "2025-01-15T10:00:00Z"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"error": "ClientNotFoundError",
"message": "Client with external ID 'SF-ACC-67890' not found for source SALESFORCE",
"code": "ZC004"
}
Was this page helpful?
⌘I

